<template>
  <q-page padding>
    <q-card style="box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <q-card-section horizontal>
        <q-card-section>
          <q-btn label="Kembali" icon="arrow_back" color="orange" to="/banner" />
        </q-card-section>
        <q-card-section class="bg-green full-width text-white ">
          <h6 style="margin: 0">Yakin Untuk Menghapus Banner ?</h6>
        </q-card-section>
      </q-card-section>
      <q-separator />
      <q-card-section>
        <detail-banner v-if="dataBanner" :dataBanner="dataBanner" />
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
import DetailBanner from "components/Banner/DetailBanner";
export default {
  name: 'TambahBanner',
  data () {
    return {
      dataBanner: null
    }
  },
  beforeMount() {
    this.getDataBanner()
  },
  components: {
    DetailBanner
  },
  methods: {
    doSubmit(data) {
      console.log(data)
      if (data.masaberlaku) {
        this.$q.loading.show()
        let datax = new FormData()
        datax.append("judul", data.judul)
        datax.append("description", data.description)
        datax.append("target_url", data.target_url)
        datax.append("status", data.status)
        datax.append("start", data.masaberlaku.from)
        datax.append("end", data.masaberlaku.to)
        datax.append("gambar", data.gambar)
        this.$axios.post(`api/banner/${this.$route.params.id}?_method=put`, datax)
          .then(sukses => {
            console.log(sukses)
            this.$q.loading.hide()
            this.$router.push("/banner")
            this.notifSuccess()
          })
          .catch(gagal => {
            this.$q.loading.hide()
            console.log(gagal.response.data.errors)
            const pesanError = gagal.response.data.errors

            for (const [key, value] of Object.entries(pesanError)) {
              console.log(`${key}: ${value}`)

              this.$q.notify({
                message: value,
                position: 'top',
                color: 'red'
              })
            }
          })
      } else {
        this.$q.notify({
          message: "Mohon Lengkapi Form",
          color: "yellow"
        })
      }
    },
    notifSuccess() {
      this.$q.notify({
        message: "Berhasil Mengubah Banner"
      })
    },
    getDataBanner() {
      this.$axios.get(`api/banner/${this.$route.params.id}`)
        .then(sukses => {
          console.log("data : ", sukses)
          this.dataBanner = sukses.data
        })
    }
  }
}
</script>
